com.io7m.jpra.model.contexts

## Interface GlobalContextType

- All Known Implementing Classes:
    GlobalContexts

      public interface GlobalContextType

  The global context.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Queue<JPRAException>` | `getErrorQueue()`
    `IdentifierType` | `getFreshIdentifier()`
    `Map<PackageNameQualified,PackageContextType>` | `getPackages()`
    `TypeUserDefinedType` | `getType(IdentifierType id)` Return a type previously added with `putType(TypeUserDefinedType)`.
    `PackageContextType` | `loadPackage(PackageNameQualified p)` Load and return a package into the context.
    `void` | `putType(TypeUserDefinedType t)` Introduce a new type into the global context

- - ### Method Detail

    - #### getErrorQueue

          Queue<JPRAException> getErrorQueue()

      Returns:
        The global error queue

    - #### getFreshIdentifier

          IdentifierType getFreshIdentifier()

      Returns:
        A fresh identifier that has not been returned before

    - #### getPackages

          Map<PackageNameQualified,PackageContextType> getPackages()

      Returns:
        A read-only view of the set of packages in the context

    - #### loadPackage

          PackageContextType loadPackage(PackageNameQualified p)
                                  throws JPRAModelLoadingException

      Load and return a package into the context.
      Parameters:
        `p` - The name of the package
      Returns:
        The loaded package
      Throws:
        `JPRAModelLoadingException` - Iff the package cannot be loaded

    - #### getType

          TypeUserDefinedType getType(IdentifierType id)

      Return a type previously added with `putType(TypeUserDefinedType)`.
      Parameters:
        `id` - The identifier
      Returns:
        The type associated with the given identifier

    - #### putType

          void putType(TypeUserDefinedType t)

      Introduce a new type into the global context
      Parameters:
        `t` - The type

Copyright © 2015 <code@io7m.com> http://io7m.com